org.eclipse.jface.viewers

## Interface ILabelProviderListener

All Known Implementing Classes:
  TabbedPropertySheetPage

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ILabelProviderListener

A listener which is notified when a label provider's state changes.

See Also:
  `IBaseLabelProvider.addListener(org.eclipse.jface.viewers.ILabelProviderListener)`, `IBaseLabelProvider.removeListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `labelProviderChanged(LabelProviderChangedEvent event)` Notifies this listener that the state of the label provider has changed in a way that affects the labels it computes.

### Method Detail

#### labelProviderChanged

    void labelProviderChanged(LabelProviderChangedEvent event)

Notifies this listener that the state of the label provider has changed in a way that affects the labels it computes.

A typical response would be to refresh all labels by re-requesting them from the label provider.

Parameters:
  `event` - the label provider change event